Description

I've installed Debian into a VM via an iso-Image.

After a reboot I only get to the bhyve UEFI Shell.

If I add the Debian EFI boot partition via the bhyve UEFI boot manager (after 'exit' from the shell) I can boot once. But after I shut

down the VM and reboot, the entry is gone again and I have to readd it.

This happens every time I try to reboot the VM, or shut it down and restart. The added boot entry is never saved. I always have to go

through the bhyve UEFI boot manager to add the entry again.

History

#1 - 08/04/2017 07:25 AM - Sascha Karsubke

- File debug-freenas-20170804162530.txz added

#2 - 08/04/2017 08:05 AM - Bonnie Follweiler

- Assignee changed from Release Council to Marcelo Araujo

#3 - 08/06/2017 07:24 PM - Marcelo Araujo

- Status changed from Unscreened to Screened

- Target version set to 11.1

#4 - 08/06/2017 07:35 PM - Marcelo Araujo

- Status changed from Screened to 15

I did install Debian but using debian-live-8.5.0-amd64-standard.iso instead of netinst, it worked well!

Perhaps you may give a try with the standard iso.

Br,

#5 - 08/14/2017 07:27 AM - Dru Lavigne

Sascha: does using the standard ISO resolve the issue for you?
#6 - 08/15/2017 07:33 AM - Sascha Karsubke

- File Screenshots FreeNAS VM Boot Problem.zip added

I’m sorry, but it doesn’t. I reinstalled Debian again with one of the standard full CD images, but nothing changed, though I’d been surprised if it had.

Same problem:

As long as the VM is running, or only restartet, it’s working.

As soon as I stop the VM the boot-loader forgets about the VM-HDD-Image (DISK Device) and I have to re-enter/re-select it in the UEFI boot

manager and adjust the boot order.

I attached some screenshots. Maybe that helps getting the problem.

#7 - 08/22/2017 11:13 PM - Marcelo Araujo

- Status changed from 15 to Screened

#8 - 10/25/2017 11:13 AM - Kris Moore

- Target version changed from 11.1 to 11.1-U1

#9 - 11/02/2017 11:18 PM - Marcelo Araujo

- Status changed from Screened to Closed: Third party to resolve

Hi,

There is a way to fix it doing a workaround inside your Debian VM.

The root cause of this problem is because Debian places the EFI firmware in a very strange location, CentOS and other UEFI compatible OS does it

in the right way.

How you can fix it:

1) Get access inside your Debian Guest VM.

2) as root: cd /boot/efi/

3) mkdir -p EFI/BOOT

4) cp debian/grubx64.efi EFI/BOOT/bootx64.efi

5) reboot

Basically you need to have this file in this path:

/boot/efi/EFI/BOOT/bootx64.efi

And you will be good to go!

Sorry my delay to check this issue.

Regards,
#10 - 11/03/2017 06:29 AM - Dru Lavigne

- File deleted (debug-freenas-20170804162530.txz)

#11 - 11/03/2017 06:29 AM - Dru Lavigne

- Target version changed from 11.1-U1 to N/A

#12 - 11/14/2017 11:36 AM - Dru Lavigne

- File deleted (Screenshots FreeNAS VM Boot Problem.zip)

#13 - 11/14/2017 11:36 AM - Dru Lavigne

- Private changed from Yes to No
